ctmconv(1)

NAME
ctmconv - file format converter for 3D models

SYNOPSIS
ctmconv infile outfile [options]

DESCRIPTION
ctmconv is a 3D file converter that can convert 3D model files to and from several different formats.

The file infile is loaded, and then saved as outfile in the target file format.

The input and output file formats are determined from the file endings.

OPTIONS
The following options are available:

--scale arg
    Scale the mesh by a scalar factor.

--upaxis arg
    Set up axis (X, Y, Z, -X, -Y, -Z). If != Z, the mesh will be flipped.

--flip
    Flip triangle orientation.

--calc-normals
    If the source file does not contain any normals, calculate them.

--no-normals
    Do not export normals.

--no-texcoords
    Do not export texture coordinates.

--no-colors
    Do not export vertex colors.

--comment arg
    Set the file comment (default is to use the comment from the input file, if any).

--texfile arg
    Set the texture file name reference for the texture (default is to use the texture file name reference from the input file, if any).

When exporting an OpenCTM file, the following options are also available:

--method arg
    Select compression method (RAW, MG1, MG2).

--level arg
    Set the compression level (0 - 9).

--vprec arg
    Set vertex precision (only for MG2).

--vprecrel arg
    Set vertex precision, relative method (only for MG2).

--nprec arg
    Set normal precision (only for MG2).

--tprec arg
    Set texture map precision (only for MG2).

--cprec arg
    Set color precision (only for MG2).

FILE FORMATS
The following 3D model file formats are supported: OpenCTM (.ctm), Stanford triangle format (.ply), Stereolitography (.stl), 3D Studio (.3ds), COLLADA 1.4/1.5 (.dae), Wavefront geometry file (.obj), LightWave object (.lwo), Geomview object file format (.off), VRML 2.0 - export only (.wrl).

AVAILABILITY
ctmconv is designed to be portable, and is available for several different systems, including (but not limited to): Windows, Mac OS X (10.3+), Linux and OpenSolaris.

SEE ALSO
ctmviewer(1)